package fr.iut.valence.java.M2M;

public interface Syntaxe
{
	/**
	 * Vrai si la commande est un Message
	 * @param ligne ligne
	 * @return Message le message extrait
	 */
	public Message getMessage(String ligne);

	/**
	 * Crée la commande correspondant à un Message
	 * @param Message un message
	 * @return String commande correspondante
	 */
	public String cmdMessage(Message m);
	
	/**
	 * Récupère le pseudo du client
	 * @param ligne ligne
	 * @return String Pseudo ou null
	 */
	public String getPseudo(String ligne);

	/**
	 * @param String un pseudo
	 * @return String commande correspondante
	 */
	public String cmdPseudo(String p);
	
	/**
	 * Récupère le message d'erreur
	 * @param ligne ligne
	 * @return String erreur ou null
	 */
	public Erreur getErreur(String ligne);

	/**
	 * Crée la commande correspondant à une Erreur
	 * @param String une erreur
	 * @return String commande correspondante
	 */
	public String cmdErreur(Erreur e);
}