package fr.iut.valence.java.M2M.client;
import java.io.IOException;

import fr.iut.valence.java.M2M.Emetteur;
import fr.iut.valence.java.M2M.Message;
import fr.iut.valence.java.M2M.Recepteur;

public class ApplicationClient extends AbstractCommunicationClient implements Emetteur, Recepteur
{
	private Emetteur emetteur;

	/**
	 * Constructeur
	 * @param client informations sur le client
	 * @param emetteur objet d'émission des messages
	 */
	public ApplicationClient(Emetteur emetteur)
	{
		this.emetteur = emetteur;
	}

	/**
	 * Méthode d'envoi de message
	 * @param Message Message à envoyer
	 * @throws IOException
	 */
	public void envoiMessage(Message msg) throws IOException
	{
		this.emetteur.envoiMessage(msg);		
	}
}
