package fr.iut.valence.java.M2M.client;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.InetSocketAddress;
import java.util.Scanner;

import fr.iut.valence.java.M2M.Message;
import fr.iut.valence.java.M2M.SyntaxeV1;

public class ConsoleIHM
{
	public static void main(String[] args)
	{
		Scanner sc = new Scanner(System.in);
		
		System.out.println("Bienvenue sur M2M");
		
		// Récupération du pseudo :
		System.out.print("Pseudo : ");
		String pseudo = sc.nextLine();
		
		InfoClient iClient = new InfoClient(pseudo);
		
		SyntaxeV1 syntaxe = new SyntaxeV1();
		InetSocketAddress serveur = new InetSocketAddress(args[0], Integer.parseInt(args[1]));
		SocketCommunicationClient socket;

		try
		{
			socket = new SocketCommunicationClient(serveur, syntaxe, iClient);
		}
		catch (UnsupportedEncodingException e)
		{
			System.out.println("Problème d'encodage");
			return;
		}
		catch (IOException e)
		{
			System.out.println("Erreur d'ouverture de la connexion");
			return;
		}
		
		ApplicationClient appClient = new ApplicationClient(socket);
		socket.setAppClient(appClient);
		
		appClient.ajoutObjetTraitement(new AffichageConsole());
		
		socket.start();
		
		// Boucle d'envoie de messages
		while(true)
		{
			System.out.print("To : ");
			String destPseudo = sc.nextLine();
			System.out.print("> ");
			String mess = sc.nextLine();
			System.out.print("\n");
			
			try
			{
				appClient.envoiMessage(new Message(iClient.getPseudo(), destPseudo, mess));
			}
			catch (IOException e)
			{
				System.out.println("Erreur d'envoi du message");
			}
		}
	}
}
