package fr.iut.valence.java.M2M.client;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

import fr.iut.valence.java.M2M.Erreur;
import fr.iut.valence.java.M2M.Message;


/*
 * Classe de sauvegarde tous les messages dans un fichier
 **/
public class HistoriqueBin implements TraitementMessages
{
	private ObjectOutputStream sortie;
	
	/**
	 * Constructeur
	 * @author FAURE Adrien, GRAILLAT Amaury
	 * @param p pseudonyme du contact
	 * @throws IOException 
	 */
	public HistoriqueBin(String path) throws IOException
	{
		FileOutputStream fos = new FileOutputStream(path);
		this.sortie = new ObjectOutputStream(fos);		
	}
	
	/**
	 * Procedure d'ajout de message
	 * @author FAURE Adrien, GRAILLAT Amaury
	 * @param m un Message
	 */
	public void traiteMessage(Message m)
	{
		try
		{
			this.sortie.writeObject(m);
		}
		catch (IOException e)
		{
			
		}
	}

	@Override
	protected void finalize() throws Throwable
	{
		super.finalize();
		this.sortie.close();
	}

	public void traiteErreur(Erreur erreur) {
		// Ne sauvegarde pas les erreurs
	}
}
