package fr.iut.valence.java.M2M.client;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintStream;

import fr.iut.valence.java.M2M.Erreur;
import fr.iut.valence.java.M2M.Message;


/*
 * Classe de sauvegarde tous les messages dans un fichier
 **/
public class HistoriqueTxt implements TraitementMessages
{
	private PrintStream sortie;
	
	/**
	 * Constructeur
	 * @author FAURE Adrien, GRAILLAT Amaury
	 * @param p pseudonyme du contact
	 * @throws IOException 
	 */
	public HistoriqueTxt(String path) throws IOException
	{
		FileOutputStream fos = new FileOutputStream(path);
		this.sortie = new PrintStream(fos);		
	}
	
	/**
	 * Procedure d'ajout de message
	 * @author FAURE Adrien, GRAILLAT Amaury
	 * @param m un Message
	 */
	public void traiteMessage(Message m)
	{
		
			this.sortie.println(m);
	}

	@Override
	protected void finalize() throws Throwable
	{
		super.finalize();
		this.sortie.close();
	}

	public void traiteErreur(Erreur erreur) {
		// Ne sauvegarde pas les erreurs
	}	
}
