package fr.iut.valence.java.M2M.serveur;

import java.io.IOException;

import fr.iut.valence.java.M2M.Emetteur;
import fr.iut.valence.java.M2M.Erreur;
import fr.iut.valence.java.M2M.Message;
import fr.iut.valence.java.M2M.Recepteur;

public class ApplicationServeur implements Recepteur
{
	private Emetteur emetteur;

	public ApplicationServeur(Emetteur emetteur)
	{
		this.emetteur = emetteur;
	}

	/**
	 * Réception d'un message
	 * @param Message Message reçu
	 */
	public void receptionMessage(Message msg) throws IOException
	{
		// On relaie le message
		this.emetteur.envoiMessage(msg);
	}

	/**
	 * Réception d'un erreur
	 * @param String err
	 */
	public void receptionErreur(Erreur err) throws IOException
	{
		// Ignorer les erreurs
	}
}
